Summary:        A library implementing the SSH protocol
Name:           libssh
Version: 0.10.5
Release: 2%{?dist}
License:        LGPLv2+
URL:            http://www.libssh.org
Source0:        https://www.libssh.org/files/0.10/%{name}-%{version}.tar.xz

BuildRequires:  cmake, gcc-c++
BuildRequires:  openssl-devel, pam_wrapper, krb5-devel
BuildRequires:  pkgconfig, zlib-devel, libcmocka-devel, nmap-ncat
BuildRequires:  socket_wrapper, nss_wrapper, uid_wrapper
BuildRequires:  openssh-clients, openssh-server
Recommends:     crypto-policies
Provides:       libssh_threads.so.4()(64bit)

%description
libssh is a C library that enables you to write a program that uses
the SSH protocol. With it, you can remotely execute programs, transfer
files, or use a secure and transparent tunnel for your remote programs.
The SSH protocol is encrypted, ensures data integrity, and provides
strong means of authenticating both the server of the client. The library
hides a lot of technical details from the SSH protocol, but this does not
mean that you should not try to know about and understand these details.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developers of
applications that use %{name}.

%prep
%autosetup -p1

%build
%cmake -DUNIT_TESTING=ON
%cmake_build

%install
%cmake_install
install -m755 -d %{buildroot}%{_sysconfdir}/libssh

pushd %{buildroot}%{_libdir}
for i in libssh.so*;
do
    _target="${i}"
    _link_name="${i%libssh*}libssh_threads${i##*libssh}"
    if [ -L "${i}" ]; then
        _target="$(readlink ${i})"
    fi
    ln -s "${_target}" "${_link_name}"
done;
popd

%check
%ctest

%files
%license COPYING
%doc AUTHORS BSD CHANGELOG README
%{_libdir}/libssh.so.4*
%{_libdir}/libssh_threads.so.4*
%attr(0755,root,root) %dir %{_sysconfdir}/libssh

%files devel
%{_includedir}/libssh/
%dir  %{_libdir}/cmake/
%{_libdir}/cmake/libssh/
%{_libdir}/pkgconfig/libssh.pc
%{_libdir}/libssh.so
%{_libdir}/libssh_threads.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 cunshunxia <cunshunxia@tencent.com> - 0.10.5-1
- upgrade to 0.10.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 03 2023 cunshunxia <cunshunxia@tencent.com> - 0.10.4-1
- upgrade to 0.10.4

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.6-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 7 2022 cunshunxia <cunshunxia@tencent.com> - 0.9.6-1
- initial build
